use clap::Parser;

mod server;

#[derive(Parser)]
struct CliArgs {}


fn main() {
    let _ = CliArgs::parse();
    env_logger::builder()
        .filter(None, log::LevelFilter::Trace)
        .init();


    let mut server = server::Server::new();

    server.setup();
}
